package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherUserInfo;
import com.cooleshow.usercenter.bean.SetDetailBean;

/**
 * 创建日期：2022/5/16 16:12
 *
 * @author Ryan
 * 类说明：
 */
public interface PersonalSettingContract {
    interface PersonalSettingView extends BaseView {
        void getSetDetailSuccess(TeacherUserInfo setDetailBean);
        void submitSetDetailSuccess(SetDetailBean setDetailBean);
        void upLoadImageSuccess(String url);
        void upLoadImageFailure();
    }
    interface Presenter {
        void getSetDetail();
    }
}
